#include <iostream>
using namespace std;

int main()
{
    int q,n,i,j;
    int med=0;
    
    cin>>n;
    cin>>q;
    
    int a[n];
    int b[q];
    
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    for(j=0;j<q;j++){
        cin>>b[j];
    }
  
    if(n%2==0){
        
		med = (a[i/2] + a[i/2]-1)/2;
	}
	else
		med = a[i/2];
		
	for(i=0;i<n;i++){	
    if(med==b[i]){
        cout<<0;
    }
    
}
return 0;
}